Project

General

Profile

Bug #202

AQBanking 6.1.2 aqofxdirect backend supports only OFX version 2. US Banks don't use OFX Version 2.

Added by jralls@ceridwen.us 15 days ago. Updated 10 days ago.

Status:
In Progress
Priority:
Normal
Category:
AqBanking
Start date:
03/15/2020
Due date:
Betriebssystem:
FreeBSD, Linux, MacOSX, Windows
AqBanking-Version:
6.1.2
Anwendung:
GnuCash
Version der Anwendung:
3.8b-209-gcfa1625

Description

For example, connecting to USAA bank:
Resolving hostname "service2.usaa.com" ...
IP address is "23.50.36.183"
Connecting to "service2.usaa.com"
Connected to "service2.usaa.com"
Using GnuTLS default ciphers.
TLS: SSL-Ciphers negotiated: TLS1.2:ECDHE-RSA-AES-256-GCM:AEAD
Connected.
Sending message...
Message sent.
Waiting for response...
Receiving response...
HTTP-Status: 400 (Bad Request)

While doing the same with AQBanking 5.8.2:
Resolving hostname "service2.usaa.com" ...
IP address is "23.50.36.183"
Connecting to "service2.usaa.com"
Connected to "service2.usaa.com"
Using GnuTLS default ciphers.
TLS: SSL-Ciphers negotiated: TLS1.2:ECDHE-RSA-AES-256-GCM:AEAD
Signer not found
Certificate is not trusted
Connected.
Sending message...
Message sent.
Waiting for response...
Receiving response...
HTTP-Status: 200 (OK)
Response received.

History

#1 Updated by martin 10 days ago

  • Category set to AqBanking
  • Status changed from New to In Progress

Current release (6.1.3) now uses OFXv1 again.

Also available in: Atom PDF